package com.jy.system.model.table;


import com.jy.framework.mybatis.join.QueryColumn;
import com.jy.framework.mybatis.join.Table;
import com.jy.system.model.entity.SysConfig;

public class SysConfigTable extends Table<SysConfig> {

    public static SysConfigTable sys_config = new SysConfigTable();
    public static SysConfigTable sc = sys_config.as("sc");

    /**
     * 配置id
     */
    public QueryColumn id = this.field(SysConfig::getId);

    /**
     * 配置编码
     */
    public QueryColumn code = this.field(SysConfig::getCode);

    /**
     * 配置值
     */
    public QueryColumn value = this.field(SysConfig::getValue);

    /**
     * 配置名称
     */
    public QueryColumn name = this.field(SysConfig::getName);

    /**
     * 是否系统内置 1是 0否
     */
    public QueryColumn builtin = this.field(SysConfig::getBuiltin);

    /**
     * 备注
     */
    public QueryColumn remark = this.field(SysConfig::getRemark);

    /**
     * 创建人
     */
    public QueryColumn createUser = this.field(SysConfig::getCreateUser);

    /**
     * 创建时间
     */
    public QueryColumn createTime = this.field(SysConfig::getCreateTime);

    /**
     * 更新人
     */
    public QueryColumn updateUser = this.field(SysConfig::getUpdateUser);

    /**
     * 更新时间
     */
    public QueryColumn updateTime = this.field(SysConfig::getUpdateTime);

    /**
     * 逻辑删除标记
     */
    public QueryColumn delFlag = this.field(SysConfig::getDelFlag);

    private SysConfigTable() {
        super(SysConfig.class);
    }

    private SysConfigTable(String alias) {
        super(SysConfig.class, alias);
    }

    public SysConfigTable as(String alias) {
        return new SysConfigTable(alias);
    }


}
